Bug 493656 - growLVM traceback when no --size but --grow
growLVM traceback when no --size but --grow
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
anaconda_trace_hash:e41e444e276c14b44...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 10:28 EDT by Eric Paris
Modified: 2009-06-18 14:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (145.77 KB, text/plain)
2009-04-02 10:28 EDT, Eric Paris
no flags Details
Attached traceback automatically from anaconda. (122.08 KB, text/plain)
2009-04-02 14:04 EDT, Eric Paris
no flags Details

  None (edit)
Description Eric Paris 2009-04-02 10:28:30 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.39 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/partitioning.py", line 1061, in growLVM
    portion = float(lv.req_size) / float(lv_total)
  File "/usr/lib/anaconda/storage/partitioning.py", line 193, in doAutoPartition
    growLVM(anaconda.id.storage)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 227, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/gui.py", line 1356, in setScreen
    (step, anaconda) = self.anaconda.dispatch.currentStep()
  File "/usr/lib/anaconda/gui.py", line 1519, in setup_window
    self.setScreen()
  File "/usr/lib/anaconda/gui.py", line 1529, in run
    self.setup_window(runres)
  File "/usr/lib/anaconda/gui.py", line 1276, in run
    self.icw.run (self.runres)
  File "/usr/bin/anaconda", line 968, in <module>
    anaconda.intf.run(anaconda)
ZeroDivisionError: float division
Comment 1 Eric Paris 2009-04-02 10:28:35 EDT
Created attachment 337824 [details]
Attached traceback automatically from anaconda.
Comment 2 Eric Paris 2009-04-02 11:17:23 EDT
part pv.2 --size=25000
volgroup VGVIRT --pesize=32768 pv.2
logvol /var/lib/libvirt/images --vgname=VGVIRT --fstype=btrfs --name LVVIRT --grow

This ALSO happened when I added --size=1 --grow

I moved to just hard coding --size without --grow and it at least installs...
Comment 3 Chris Lumens 2009-04-02 13:11:54 EDT
Does using updates=http://clumens.fedorapeople.org/493656.img result in you getting an error saying that a size is required?  The proper behavior here is that you get an error, since logvol requires a size to be specified, either through --size, --percent, or --useexisting.
Comment 4 Eric Paris 2009-04-02 14:04:35 EDT
Created attachment 337866 [details]
Attached traceback automatically from anaconda.
Comment 5 David Lehman 2009-04-02 23:13:33 EDT
The second problem (--size=1 --grow) should be fixed in anaconda-11.5.0.40-1.
Comment 6 Chris Lumens 2009-04-23 15:36:17 EDT
What's the current status on this bug?
Comment 7 Chris Lumens 2009-04-24 15:52:48 EDT
I've made a slightly better test to catch zero sized partitions and LVs, which I believe should fix this issue.  Please try the next build of anaconda and let me know if this fixes your bug.  Thanks.
Comment 8 Bug Zapper 2009-06-09 09:06:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.